<template>
  <!-- HEADER -->
  <div class="flex items-center justify-between px-2 pb-2 border-b border-gray-border">
    <h2 class="flex items-center text-xs font-semibold text-gray-dark flex w-full">
      {{ data.nomorOrder }}
    </h2>

    <i
      class="icon-close text-2xl text-gray-disable hover:bg-whitesmoke-darker hover:text-primary-blue rounded cursor-pointer ml-auto"
      @click="$router.push(`/transaction/order/${$route.params.tabChoosen}`)"
    ></i>
  </div>

  <!-- BODY -->
  <div class="pt-3 flex w-full">
    <div class="px-2 pb-3 w-full border-b border-gray-border">
      <span class="float-right uppercase relative right-0 text-xs text-secondary-maize p-1 border border-secondary-maize rounded">
        {{ data.deskripsiStatusOrder }}
      </span>

      <div class="flex">
        <div class="flex w-8">
          <div class="flex rounded-full bg-primary-blue w-8 h-8 justify-center items-center">
            <i class="text-xl text-white text-center icon-on-behalf"></i>
          </div>
        </div>
        <div class="flex flex-col flex-grow ml-4">
          <div class="flex font-semibold font-avenir text-primary-blue destination-lineclamp">
            {{ data.lokasiTujuan }}
          </div>
          <div
            data-v-1e123518=""
            class="flex text-xs text-gray-text"
          >
            {{
              data.tanggalPemakaian == null
                ? ""
                : $service.Formater.formatDate(data.tanggalPemakaian, data.jamPemakaian)
            }}
          </div>
        </div>
      </div>

      <div class="flex pl-12 pt-1">
        <div
          v-if="data.jenisOrder === `AD`"
          class="flex text-xs text-gray-light"
        >
          ADDITIONAL DRIVER
        </div>
        <div
          v-else
          class="flex text-xs text-gray-light"
        >
          {{
            $service.Formater.formatJenisOrder(
              data.jenisOrder,
              data.deskripsiJenisOrder,
              data.nomorRutin
            )
          }}
        </div>
      </div>
    </div>
  </div>

  <div
    v-if="data.statusOrder != 'OP'"
    class="flex items-center px-2 pt-2 pb-4 lg:py-3 border-b border-gray-border"
  >
    <div class="flex flex-grow">
      <div class="items-start">
        <div class="bg-primary-mango rounded-full h-8 w-8 flex items-center justify-center mr-4 ml-0">
          <p class="text-white text-center lg:font-medium text-md">
            {{
              data.namaUserDriver == null
                ? ""
                : $service.Formater.getInitials(data.namaUserDriver)
            }}
          </p>
        </div>
      </div>
      <div class="flex flex-col self-center">
        <div class="flex items-center">
          <p class="text-sm text-gray-text font-apercu">
            {{ data.namaUserDriver }}
          </p>
        </div>
        <div class="hidden lg:flex items-center">
          <p class="text-md font-bold text-gray-text font-apercu">
            {{
              data.nomorPolisi == null
                ? ""
                : data.nomorPolisi.toUpperCase().replace(/-/g, " ")
            }}
          </p>
          <p class="text-xs text-gray-dark md:pl-1">
            &nbsp;•&nbsp;{{ data.deskripsiMobil }}
          </p>
        </div>
      </div>
    </div>
    <div class="flex items-center">
      <div class="flex text-primary-blue pr-0 z-10 items-center">
        <a
          class="text-primary-blue leading-none"
          :href="`https://web.whatsapp.com/send?phone=08567617278`"
          target="_blank"
          @click.stop
        >
          <i class="icon-chat text-2xl p-2 hover:bg-whitesmoke rounded-full"></i>
        </a>
      </div>
    </div>
  </div>

  <div class="block bg-white px-2">
    <div class="hidden lg:flex w-full mt-4 mb-3">
      <div class="flex-grow">
        <!-- Except Additional Driver -->
        <span
          v-if="data.jenisOrder != 'AD'"
          class="float-right uppercase right-0 px-3 relative text-xs font-apercu justify-center text-primary-blue cursor-pointer hover:bg-whitesmoke rounded-lg flex items-center"
        >
          <i class="icon-map text-lg mr-2"></i>
          <span class="font-semibold text-sm">LIHAT PETA</span>
        </span>
        <!-- End Except Additional Driver -->
        <p class="text-gray-text font-semibold font-apercu mb-3">
          RUTE
        </p>
        <ul class="ml-1 relative w-full">
          <li
            class="point-start pl-3 pb-4"
            :class="
              data.jenisOrder === 'AD'
                ? ''
                : ' border-l-2 border-dotted border-whitesmoke-darker '
            "
          >
            <div class="flex flex-col pl-2">
              <div class="flex items-center text-xs text-gray-title font-apercu leading-none">
                {{ data.lokasiPenjemputan }}
              </div>
              <div
                v-if="data.catatanLokasiPenjemputan"
                class="flex mt-1"
              >
                <i class="icon-assignment text-gray-text text-center text-xs align-middle mr-1"></i>
                <span class="flex-grow w-4 block text-xs text-left text-gray-dark font-apercu leading-none break-words">{{ data.catatanLokasiPenjemputan }}</span>
              </div>
              <div
                v-else
                :class="data.jenisOrder === 'AD' ? '' : 'h-8'"
              ></div>
            </div>
          </li>
          <li
            v-if="data.jenisOrder != 'AD'"
            class="point-finish pl-2"
          >
            <div class="flex flex-col pl-3">
              <div class="flex items-center text-xs text-gray-title font-apercu leading-none">
                {{ data.lokasiTujuan }}
              </div>
              <div
                v-if="data.catatanLokasiTujuan"
                class="flex mt-1"
              >
                <i class="icon-assignment text-gray-text text-center text-xs align-middle mr-1"></i>
                <span class="flex-grow w-4 block text-xs text-left text-gray-dark font-apercu leading-none break-words">{{ data.catatanLokasiTujuan }}</span>
              </div>
            </div>
          </li>
        </ul>
      </div>
    </div>

    <div class="flex items-end pt-4">
      <p class="text-gray-text font-semibold font-apercu">
        KETERANGAN
      </p>
    </div>

    <div
      v-if="data.aktivitas"
      class="flex items-end mt-4"
    >
      <i class="icon-event-note text-gray-disable text-lg"></i>
      <p class="pl-2 text-gray-text text-xs">
        {{ data.aktivitas }}
      </p>
    </div>

    <div class="flex my-4">
      <div class="w-1/2 flex items-center">
        <i class="icon-access-time text-gray-disable text-lg"></i>
        <p class="pl-2 text-gray-text text-xs">
          {{ data.durasiEstimasi }}
        </p>
      </div>

      <div
        v-if="data.jenisOrder != 'AD'"
        class="w-1/2 flex items-center"
      >
        <i class="icon-accessibility text-gray-disable text-lg"></i>
        <p class="pl-1 text-gray-text text-xs">
          {{ data.jumlahPenumpang }} orang
        </p>
      </div>
    </div>

    <div v-if="data.jenisOrder.toLowerCase() === 'dl'">
      <div class="flex my-4">
        <div class="w-1/2 flex items-center">
          <i class="icon-date-range text-gray-disable text-lg"></i>
          <p class="pl-2 text-gray-text text-xs">
            {{ data.isMenginap ? "Menginap" : "Tidak Menginap" }}
          </p>
        </div>

        <div class="w-1/2 flex items-center">
          <i class="icon-directions-car text-gray-disable text-lg"></i>
          <p class="pl-1 text-gray-text text-xs">
            {{ data.namaRequestJenisMobil }}
          </p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },

  methods: {},
};
</script>
